Bug 144234 - FC3 + kernel-2.6.9-1.724_FC3 and incompatibility with ipw2200 v0.17
FC3 + kernel-2.6.9-1.724_FC3 and incompatibility with ipw2200 v0.17
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 00:14 EST by Gantry York
Modified: 2015-01-04 17:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:53:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gantry York 2005-01-05 00:14:30 EST
Description of problem:

I'm running FC3 and I did an update last night which installed
kernel-2.6.9-1.724_FC3 as well as some other stuff.

I notice that it does not recognize the Intel wireless hardware
anymore.  This may be an incompatibility issue with the 2.6.9 kernel
and the ipw2200 drivers.  

I get messages in /var/log/message like...

Jan  4 14:42:29 arenal kernel: ipw2200: Intel(R) PRO/Wireless
2200/2915 Network
Driver, 0.13
Jan  4 14:42:29 arenal kernel: ipw2200: Copyright(c) 2003-2004 Intel
CorporationJan  4 14:42:29 arenal kernel: ipw2200: Detected Intel
PRO/Wireless 2200BG Network Connection
Jan  4 14:42:29 arenal kernel: ipw2200: ipw2200_boot.fw load failed
Jan  4 14:42:29 arenal kernel: ipw2200: Unable to load firmware:
0xFFFFFFFE
Jan  4 14:42:29 arenal kernel: ipw2200: failed to register network device
Jan  4 14:42:29 arenal kernel: ipw2200: probe of 0000:02:02.0 failed
with error
-5
Jan  4 14:46:39 arenal ifup: ipw2200 device eth1 does not seem to be
present, delaying initialization.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install FC3
2.   Configure all the wireless stuff so it is working
3.   Run up2date
4.   Reboot
  
Actual results:

No longer recognizes the wireless hardware.

Expected results:


Additional info:

I am also trying to submit this same bug to the ipw2200 project but
currently there bugzilla doesn't seem to be responding.
Comment 1 Gantry York 2005-01-05 00:17:46 EST
This bug has also been submitted as bug #527 to the ipw2200 project
Comment 2 Dave Jones 2005-07-15 16:09:24 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-09-28 04:31:47 EDT
actually, this looks like you don't have the firmware data installed.
can you confirm that ?
Comment 4 Dave Jones 2005-12-07 02:53:13 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.